import React, { useEffect } from 'react';
import { Container, Typography, Button } from '@material-ui/core';

const channelName = window.location.href.split("/")[4]
const adminToken = window.location.href.split("/")[5]
const dataURL = "/botdeets/"+ channelName + "/" + adminToken

function BotDeets() {

  const [botState, setBotState] = React.useState({loading: true, botData: []})
  useEffect(() => {
    // We should only fetch once!
    if (botState.loading) {
      fetch(dataURL).then((res) => res.json().then((data)=>{
        setBotState({botData: data, loading: false })
      }));
    }
  }, [setBotState, botState.loading]);

  if (botState.loading) {
    return <p>Sorry, still loading...</p>
  }
  
  let dd = botState.botData
  if (dd.hasleft) {
    return (
      <Container>
        <Typography variant="h5" component="h2" gutterBottom>
          The chatbot is currently <b>not</b> in your channel.  To change the settings, invite it to your channel using the button below :
        </Typography>
        <Typography variant="p">
          You really don't wanna do that, because it's not ready yet.
        </Typography>
        <Typography variant="p">
          <Button variant="contained" color="primary">Join my channel!</Button>
        </Typography>
      </Container>
    )
  } else {
    return (
      <Container>
        <Typography variant="h5" component="h2" gutterBottom>
          Coming soon! Bot control panel!
        </Typography>
        <Typography component="tt" gutterBottom>
          {dd}
        </Typography>
      </Container>
    );
  }
}

export default BotDeets;
