import React, { useEffect } from 'react';
import { Container, Typography, Button } from '@material-ui/core';

const channelName = window.location.href.split("/")[4]
const adminToken = window.location.href.split("/")[5]
const dataURL = "/cachedeets/"+ channelName + "/" + adminToken
const forceURL = "/force/"+ channelName + "/" + adminToken

function CacheDeets() {

  function handleClick(e) {
    setCacheState({cacheData: null, loading: true })
    fetch(forceURL).then((res) => res.json().then((data)=>{
      setCacheState({cacheData: data, loading: false })
    }));
    console.log('The link was clicked.');  
  }

 // render() {
    const [cacheState, setCacheState] = React.useState({loading: true, cacheData: []})

    useEffect(() => {
      // We should only fetch once!
      if (cacheState.loading) {
        let actualURL = dataURL
        if (window.location.href.split("/")[2] === "192.168.1.111:3000") {
          //Frontend dev mode only
          actualURL = "/sampleData/cache.json"
        }
        fetch(actualURL).then((res) => res.json().then((data)=>{
          setCacheState({cacheData: data, loading: false })
        }));
      }
    }, [setCacheState, cacheState.loading]);

    if (cacheState.loading) {
      return <p>Sorry, still loading...</p>
    }
    
    let dd = cacheState.cacheData

    return (
      <Container>
        <Typography variant="h5" component="h2" gutterBottom>
          Server has cached data from <b>{dd.SongCount} published</b> performances
        </Typography>
        <Typography component="p" gutterBottom>
          Cache data is from about {dd.AgeStr} - it automatically gets updated if it's older than an hour.  If you're convinced using Martyn's bandwidth to refresh the cache earlier than that is worth it, here's the button below :
        </Typography>
        <Button variant="contained" color="primary" onClick={handleClick}>Force refresh cache</Button>
      </Container>
    );
  }
//}

export default CacheDeets;
